> ## Documentation Index
> Fetch the complete documentation index at: https://developers.goevery.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Quote



## OpenAPI

````yaml post /v1/quotes
openapi: 3.1.0
info:
  version: 1.0.0
  title: every public api
servers:
  - url: https://api.goevery.co
security:
  - bearerAuth: []
paths:
  /v1/quotes:
    post:
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateQuoteRequest'
      responses:
        '200':
          description: Successfully created a quote.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Quote'
components:
  schemas:
    CreateQuoteRequest:
      type: object
      properties:
        origin:
          type: string
          maxLength: 96
          description: The resource name of the origin location.
          example: locations/CO-54003000
        destination:
          type: string
          maxLength: 96
          description: The resource name of the destination location.
          example: locations/CO-11001000
        package:
          type: object
          properties:
            declaredValueCents:
              type: number
              exclusiveMinimum: 0
              description: The declared value of the package in cents.
              example: 4500000
            dimensions:
              type: object
              properties:
                lengthCm:
                  type: number
                  exclusiveMinimum: 0
                  description: The length of the package in centimeters.
                  example: 10
                widthCm:
                  type: number
                  exclusiveMinimum: 0
                  description: The width of the package in centimeters.
                  example: 20
                heightCm:
                  type: number
                  exclusiveMinimum: 0
                  description: The height of the package in centimeters.
                  example: 15
              required:
                - lengthCm
                - widthCm
                - heightCm
              description: The dimensions of the package.
            weightKg:
              type: number
              exclusiveMinimum: 0
              description: The weight of the package in kilograms.
              example: 2
            contentDescription:
              type: string
              minLength: 3
              maxLength: 128
              description: A description of the package content.
              example: Shoes
          required:
            - declaredValueCents
            - dimensions
            - weightKg
            - contentDescription
          description: Details of the package to be quoted.
        cashOnDeliveryRequestCents:
          type: number
          minimum: 0
          description: The amount to be collected on delivery in cents.
          example: 8900000
        order:
          type:
            - string
            - 'null'
          description: The unique identifier for the order associated with the shipment.
          example: orders/66d86d4b05a7d437ac6c5379
      required:
        - origin
        - destination
        - package
        - cashOnDeliveryRequestCents
    Quote:
      type: object
      properties:
        name:
          type: string
          description: The unique identifier for the quote.
          example: quotes/669838849afe8a9d48db1c1e
        createTime:
          type: string
          format: date-time
          description: The timestamp when the quote was created.
          example: '2024-07-17T21:32:52.478Z'
        updateTime:
          type: string
          format: date-time
          description: The timestamp when the quote was last updated.
          example: '2024-07-17T21:32:52.478Z'
        origin:
          type: string
          maxLength: 96
          description: The resource name of the origin location.
          example: locations/CO-54003000
        destination:
          type: string
          maxLength: 96
          description: The resource name of the destination location.
          example: locations/CO-11001000
        package:
          type: object
          properties:
            declaredValueCents:
              type: number
              exclusiveMinimum: 0
              description: The declared value of the package in cents.
              example: 4500000
            dimensions:
              type: object
              properties:
                lengthCm:
                  type: number
                  exclusiveMinimum: 0
                  description: The length of the package in centimeters.
                  example: 10
                widthCm:
                  type: number
                  exclusiveMinimum: 0
                  description: The width of the package in centimeters.
                  example: 20
                heightCm:
                  type: number
                  exclusiveMinimum: 0
                  description: The height of the package in centimeters.
                  example: 15
              required:
                - lengthCm
                - widthCm
                - heightCm
              description: The dimensions of the package.
            weightKg:
              type: number
              exclusiveMinimum: 0
              description: The weight of the package in kilograms.
              example: 2
            contentDescription:
              type: string
              minLength: 3
              maxLength: 128
              description: A description of the package content.
              example: Shoes
          required:
            - declaredValueCents
            - dimensions
            - weightKg
            - contentDescription
          description: Details of the package to be quoted.
        cashOnDeliveryRequestCents:
          type: number
          minimum: 0
          description: The amount to be collected on delivery in cents.
          example: 8900000
        offers:
          type: array
          items:
            type: object
            properties:
              courier:
                type: string
                description: The name of the courier service.
                example: couriers/coordinadora
              status:
                type: string
                enum:
                  - SUCCESS
                  - PENDING
                  - FAILED
                description: The status of the offer.
              shipmentCostCents:
                type: number
                description: The cost of the shipment in cents.
                example: 1430000
              returnShipmentCostCents:
                type: number
                description: The cost of returning the package in cents.
                example: 930000
              deliveryMinutes:
                type: number
                description: The minutes of delivery.
                example: 1400
            required:
              - courier
              - status
              - shipmentCostCents
              - returnShipmentCostCents
              - deliveryMinutes
            description: Details of an individual offer from a courier service.
          description: An array of offers from courier services.
        order:
          type:
            - string
            - 'null'
          description: The unique identifier for the order associated with the shipment.
          example: orders/66d86d4b05a7d437ac6c5379
      required:
        - name
        - createTime
        - updateTime
        - origin
        - destination
        - package
        - cashOnDeliveryRequestCents
        - offers
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````